Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 37780 - Update documentation for proppanel_rewrite
Update documentation for proppanel_rewrite
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Explorer
3.x
PC Linux
: P2 (vote)
: TBD
Assigned To: _ tboudreau
issues@platform
TCR
:
Depends on:
Blocks: 37626
  Show dependency treegraph
 
Reported: 2003-12-05 10:34 UTC by Jaroslav Tulach
Modified: 2008-12-22 17:57 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Revised diff of api & arch docs (12.38 KB, patch)
2003-12-05 19:03 UTC, _ tboudreau
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2003-12-05 10:34:19 UTC
While reading the diffs I have found that the
documentation is not absolutelly up-to-date. 

1. please use <api> tag for description of all
properties in arch-propertysheet.xml (for example
radioButtonTrashhold is missing).

2. I have seen a lot of properties tested (and
thanks for that), but not documented. For example,
I wonder what is "postSetAction" as I could not
find its documentation anywhere.
Comment 1 _ tboudreau 2003-12-05 14:28:44 UTC
"postSetAction" is an enhancement I put in specifically so the form 
editor could stop using EnhancedPropertyEditor.  They use it so they 
can listen to the combo box and open the editor on an event method, 
only if the *user* sets the property value.  Otherwise they might 
set the editor position just because something programmatically set 
the value of the property.

So, now, if your property provides an implementation of Action via 
getValue("postSetAction"), that code will be run if and only if the 
user explicitly sets the property value.

It is an open question whether "postSetAction" should remain 
undocumented (but tested) as a friend contract, or should be made 
public.  I'm guessing it can do no harm as long as we document it as 
not necessarily permanently supported.
Comment 2 _ tboudreau 2003-12-05 19:02:33 UTC
Will attach a revised diff.  

Jarda, I'm not exactly sure where and how I should be using API tags
in this doc.  Can you advise? 
Comment 3 _ tboudreau 2003-12-05 19:03:41 UTC
Created attachment 12443 [details]
Revised diff of api & arch docs
Comment 4 _ tboudreau 2003-12-05 22:37:03 UTC
Marking this issue as fixed - if you still feel the docs aren't
sufficient, reopen.  And do advise where and how to use the <api> tag
- we could probably just do this together on Monday.
Comment 5 Jaroslav Tulach 2003-12-08 08:23:53 UTC
Info about using the API tags can be found here:
http://openide.netbeans.org/tutorial/api.html
if you edit the XML in NetBeans you will get code completion.

postSetAction can be friend contract. Just document that in the
arch-*-document.
Comment 6 _ tboudreau 2003-12-09 09:31:50 UTC
Closing per our agreement - Jarda, we'll do the API tags thing when 
I get to the office.
Comment 7 Jaroslav Tulach 2003-12-12 10:03:50 UTC
Please use javax.swing.UIManager group. 

Also are you sure you really want friend category:
http://openide.netbeans.org/tutorial/api-design.html#category-friend
It means that there are component's that are really using this
properties, you know about them and you will notify them if you change
the contract. Stuff like netbeans.ps.combohack or
netbeans.reusable.strictthreads looks like private impl. detail while
flat could be deprecated. Please rething and review that as well.
Comment 8 _ tboudreau 2003-12-13 18:22:07 UTC
Done.
Comment 9 Jaroslav Tulach 2003-12-15 09:02:50 UTC
Ok.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo